
package com.tmerclub.cloud.multishop.dto;

import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 商家店铺余额充值记录
 *
 * @author chiley
 */
public class ShopWalletRechargeOrderDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "充值金额id")
    private Long rechargeId;
    @Schema(description = "充值金额")
    private BigDecimal amount;

    public Long getRechargeId() {
        return rechargeId;
    }

    public void setRechargeId(Long rechargeId) {
        this.rechargeId = rechargeId;
    }

    public BigDecimal getAmount() {
        return amount;
    }

    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }

    @Override
    public String toString() {
        return "ShopWalletRechargeOrderDTO{" +
                "rechargeId=" + rechargeId +
                ", amount=" + amount +
                '}';
    }
}
